Class | Sequel::OpenBase::Dataset
In: | lib/sequel/adapters/openbase.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Public Instance methods

fetch_rows(sql) {|row| ...}

[Source]

        # File lib/sequel/adapters/openbase.rb, line 40
    40:       def fetch_rows(sql)
    41:         execute(sql) do |result|
    42:           begin
    43:             @columns = result.column_infos.map{|c| output_identifier(c.name)}
    44:             result.each do |r|
    45:               row = {}
    46:               r.each_with_index {|v, i| row[@columns[i]] = v}
    47:               yield row
    48:             end
    49:           ensure
    50:             # result.close
    51:           end
    52:         end
    53:         self
    54:       end

[Validate]